:root {
  --font-family: system-ui, 'Segoe UI', Roboto, Helvetica, Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji',
    'Segoe UI Symbol';
  --primary-font-color: #111827;
  --secondary-font-color: #374151;
  --bg-color: #f4f4f4;
  --game-bg-color: rgba(221, 221, 221, 1);
  --special-font: 'Poetsen One', sans-serif;
}

@media (prefers-color-scheme: dark) {
  :root {
    --primary-font-color: #d3d3d3;
    --secondary-font-color: #d1d5db;
    --bg-color: #1f2629;
    --game-bg-color: #2d4d5d;
  }
}

html,
body {
  margin: 0;
  padding: 0;
  height: 100%;
}

body {
  background-color: var(--bg-color);
  color: var(--primary-font-color);
  font-family: var(--font-family);
  min-height: 100%;
  display: grid;
  grid-template-rows: auto 1fr auto;
}

header {
  margin-left: 10px;
  background-color: var(--header-bg-color);
  display: flex;
  align-items: center;
  gap: 10px;
}

main {
  margin-top: 2rem;
  width: 100%;
}

.lead {
  font-size: 2rem;
  margin: 0 auto;
  width: 70%;
}

section.download {
  margin-top: 2rem;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 3rem;
  gap: 1rem;
}

.game {
  font-family: var(--special-font);
  font-size: 1.5rem;
  text-align: center;
  margin-top: 2rem;
  background-color: var(--game-bg-color);
  padding: 20px;
}

.game p,
.game h2 {
  width: 80%;
  margin: 0 auto;
}

.game p {
  font-family: var(--font-family);
}

.game img {
  border-radius: 15%;
}

.game a {
  color: var(--primary-font-color);
  text-decoration: none;  
}
.game a:hover {
  text-decoration: underline;
  text-decoration-style: dotted;
}

footer {
  font-size: 0.8rem;
  position: fixed;
  bottom: 0;
  width: 100%;
  text-align: center;
  color: var(--secondary-font-color);
}

footer a {
  color: var(--primary-font-color);
  text-decoration: none;
}

/* Dark mode styles */

@media (prefers-color-scheme: dark) {
  img {
    opacity: 0.75;
    transition: opacity 0.5s ease-in-out;
  }
  img:hover {
    opacity: 1;
  }
}
